Skip to content
GET /unified/e-signature/contacts/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The contact's unique identifier

1 supported
DocuSign
supported
accountobject

The contact's account

1 supported
DocuSign
supported
idstring

The account's unique identifier

namestring

The account's name

addressesobject[]
citystring

The city

countrystring

The country

idstring

The unique identifier of the address

postal_codestring

The postal code

statestring

The state

street_1string

Line 1 of the street address

street_2string

Line 2 of the street address

typestring

The address type

created_atstring · date-time

The date and time of the contact's creation

email_addressesobject[]
1 supported
DocuSign
supported
emailstring

The email address

idstring

The unique identifier of the email addresses

typestring

The email address type

first_namestring

The contact's first name

last_activity_atstring · date-time

The date and time of the contact's last activity

last_namestring

The contact's last name

namestring

The contact's full name

1 supported
DocuSign
supported
phone_numbersobject[]
extensionstring

The extension of the phone number

idstring

The unique identifier of the phone number

numberstring

The phone number

typestring

The phone number type

remote_dataRecord<string, any>

Raw data returned from the remote API call.

tagsobject[]

The contact's tags

idstring

The tag's unique identifier

namestring

The tag's name

titlestring

The contact's job title

updated_atstring · date-time

The date and time of the contact's last update

curl -X GET 'https://api.truto.one/unified/e-signature/contacts/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/e-signature/contacts/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/e-signature/contacts/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'e-signature',
  'contacts',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "e-signature",
        "contacts",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())